# This file contains the common style definitions for all Koma-Script
# classes. It is included by scrartcl.layout, scrreprt.layout and
# scrbook.layout
# This file is a very quick hack, please report any errors or 
# suggestions
# Adapted from paper.layout
# by Bernd K"ummerlen (bkuemmer@ix.urz.uni-heidelberg.de)
# originally created by Jean-Marc Lasgouttes (Jean-Marc.Lasgouttes@inria.fr)
 
# General textclass parameters
Columns			1

ClassOptions
  PageStyle	"empty|plain|headings|fancyheadings|myheadings"
  # Koma-Script does not show a headsepline by default but I think it's
  # nicer
  Other		"headsepline"
End

# Standard style definition
Style Standard
  Margin  		Static
  LatexType 		Paragraph
  LatexName 		dummy
  ParIndent		MM
  ParSkip 		0.4
  Align 		Block
  AlignPossible 	Block, Left, Right, Center
  LabelType 		No_Label
End

# Include the standard definitions
Input stdlists.inc
Input stdsections.inc
Input stdstarsections.inc
Input stdstruct.inc
Input lyxmacros.inc
Input stdlayouts.inc
Input obsolete.inc

### All the section headings are sans serif
Style Part
  LabelString "Part #"
  Font
    Family		Sans
    Series		Bold
    Size		Huge
  EndFont
End

## Koma-Script chapters are just numbered (no label)
Style Chapter
  BottomSep		3
  LabelString ""
  Font
    Family		Sans
    Series		Bold
    Size		Huge
  EndFont
End

Style Section
  Font 
    Family              Sans
    Series              Bold
    Size                Larger
  EndFont
End

Style Subsection
  Font 
    Family              Sans
    Series              Bold
    Size                Large
  EndFont
End

Style Subsubsection
  Font 
    Family              Sans
    Series              Bold
    Size                Normal
  EndFont
End

Style Paragraph
  Font 
    Family              Sans
    Series              Bold
    Size                Normal
  EndFont
End

### I don't know if this is right, but Koma-Scripts Subparagraph
### looks exactly the same as Paragraph
Style Subparagraph
  CopyStyle		Paragraph
End

### The description environment also uses sans serif labels.
Style Description
  LabelFont 
    Family              Sans
    Series              Bold
  EndFont
End

### The title is sans serif 
Style Title
  Font 
    Family              Sans
    Series              Bold
    Size                Huge
  EndFont
End

### The author is Large
Style Author
  Font 
    Size                Large
  EndFont
End

### By default, the abstract has no label
Style Abstract
  LabelString		""
End

### A few new things defined only in the Koma-Script classes

### addchap and addsec (and their starred companions) are unnumbered
### environments which are included in the toc and provide page headings
### (which normal starred environments don't)

Style AddChap
  CopyStyle		Chapter
  Margin		Static
  LatexName		addchap
  LabelType		No_Label
End

Style AddChap*
  CopyStyle		Chapter
  Margin		Static
  LatexName		addchap*
  LabelType		No_Label
End

Style AddSec
  CopyStyle		Section
  Margin		Static
  LatexName		addsec
  LabelType		No_Label
End

Style AddSec*
  CopyStyle		Section
  Margin		Static
  LatexName		addsec*
  LabelType		No_Label
End


### The minisec environment is similar to paragraph, with different
### Seps
Style MiniSec
  CopyStyle		Paragraph
  LatexName		minisec
  LabelType		Static
  Margin		Static
  BottomSep		0
  TopSep		0.6

  Font 
    Family              Sans
    Series		Bold
  EndFont
End

### Koma-Script has a labeling environment which is quite similar 
### to the lyxlist environment. Additionally there is an optional parameter
### which acts as a separator between the label and the text, but I don't
### know how to implement this (Is there a way?)
Style Labeling
  Margin                Manual
  LatexType             List_Environment
  LatexName             labeling   
  NextNoindent          1
  LabelSep              xxx
  ParSkip               0.4
  TopSep                0.7  
  BottomSep             0.7
  ParSep                0.5
  Align                 Block
  AlignPossible         Block, Left
  LabelType             Manual
  LabelString           xxxxxxxxxx
End








